%define srcname oauth2client

Name:           python-%{srcname}
Version:        1.5.2
Release:        %mkrel 1
Url:            https://github.com/google/oauth2client
Summary:        Python library for accessing resources protected by OAuth 2.0
License:        ASL 2.0
Group:          Networking/Other
Source:         https://github.com/google/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-setuptools
BuildRequires:  python3-setuptools
Conflicts:	python-google-api-python-client < 1.4

%description
This is a client library for accessing resources protected by OAuth 2.0.

%package -n python3-%{srcname}
Summary:        Python 3 library for accessing resources protected by OAuth 2.0
Group:          Networking/Other

%description -n python3-%{srcname}
This is a client library for accessing resources protected by OAuth 2.0.

%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python-%{srcname}
%doc CHANGELOG.md CONTRIBUTING.md LICENSE README.md
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-%{version}*.egg-info

%files -n python3-%{srcname}
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}*.egg-info


%changelog
* Mon Feb 15 2016 daviddavid <daviddavid> 1.5.2-1.mga6
+ Revision: 961177
- new version: 1.5.2

* Thu Oct 08 2015 pterjan <pterjan> 1.5.1-1.mga6
+ Revision: 887961
- Update to 1.5.1

* Mon Sep 14 2015 pterjan <pterjan> 1.5.0-2.mga6
+ Revision: 879029
- Conflict with the old python-google-api-python-client which used to embed it

* Mon Sep 14 2015 pterjan <pterjan> 1.5.0-1.mga6
+ Revision: 878993
- imported package python-oauth2client

